## org.mortbay.log
Interface Logger

All Known Implementing Classes:
  Slf4jLog, StdErrLog

    public interface Logger

Logging Facade A simple logging facade that is intended simply to capture the style of logging as used by Jetty.

Method Summary
`void` `debug(String msg, Object arg0, Object arg1)`
`void` `debug(String msg, Throwable th)`
`Logger` `getLogger(String name)`
`void` `info(String msg, Object arg0, Object arg1)`
`boolean` `isDebugEnabled()`
`void` `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programatically.
`void` `warn(String msg, Object arg0, Object arg1)`
`void` `warn(String msg, Throwable th)`

Method Detail

### isDebugEnabled

    boolean isDebugEnabled()

### setDebugEnabled

    void setDebugEnabled(boolean enabled)

  Mutator used to turn debug on programatically. Implementations operation in which case an appropriate warning message shall be generated.

### info

    void info(String msg,
              Object arg0,
              Object arg1)

### debug

    void debug(String msg,
               Throwable th)

### debug

    void debug(String msg,
               Object arg0,
               Object arg1)

### warn

    void warn(String msg,
              Object arg0,
              Object arg1)

### warn

    void warn(String msg,
              Throwable th)

### getLogger

    Logger getLogger(String name)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.